%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
%define gittag %(echo %version | cut -d. -f5)
Name:          xorg-drv-video-ati
Version:       19.1.0.20210510git.5eba006e4
Release:       1mamba
Summary:       ATI video driver for X.Org
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://gitlab.freedesktop.org/xorg/driver/xf86-video-ati.git/master@%{gittag}/xf86-video-ati-%{version}.tar.bz2
Source:        ftp://x.org/pub/individual/driver/xf86-video-ati-%{version}.tar.bz2
Patch0:        xorg-drv-video-ati-6.13.2-xorg-server-1.10.patch
Patch1:        xorg-drv-video-ati-19.1.0.20210510git.5eba006e4-xorg-server-21-fix-crash.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdrm-devel
BuildRequires: libmesa-devel
BuildRequires: libpciaccess-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 21.1.3-1mamba
BuildRequires: xorg-proto-devel
BuildRequires: libXvMC-devel >= 1.0.2
BuildRequires: libXrender >= 0.9.1
BuildRequires: libXrandr >= 1.1.1
BuildRequires: libXv >= 1.0.1
BuildRequires: libdrm-devel >= 2.3.0
BuildRequires: libXinerama-devel >= 1.0.1
BuildRequires: libpthread-stubs-devel
BuildRequires: systemd-devel
Requires:      xorg-drv-video-r128
Provides:      xorgdrvvideo
Provides:      xorg-drv-video-avivo
Obsoletes:     xorg-drv-video-avivo
Requires:      radeon-firmware
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description
ATI video driver for X.Org.

%debug_package

%prep
%setup -q -n xf86-video-ati-%{version}
#%patch0 -p1

# fix a crash under Xorg-server 21.1.1
# https://bugs.archlinux.org/task/72759
# https://gitlab.freedesktop.org/xorg/driver/xf86-video-ati/-/merge_requests/9
%patch1 -p1 -b .xorg-server-21-fix-crash

NOCONFIGURE=1 ./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/ati_drv.la
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_libdir}/xorg/modules/drivers/radeon_drv.la
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_datadir}/X11/xorg.conf.d/10-radeon.conf
%{_mandir}/man4/*.4*
%doc COPYING

%changelog
* Sat Feb 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 19.1.0.20210510git.5eba006e4-1mamba
- update to 19.1.0.20210510git.5eba006e4
- rebuilt by autoport with build requirements: xorg-server-devel>=21.1.3-1mamba

* Sun Oct 20 2019 Automatic Build System <autodist@mambasoft.it> 19.1.0-1mamba
- automatic version update by autodist

* Fri Mar 22 2019 Automatic Build System <autodist@mambasoft.it> 19.0.1-1mamba
- automatic version update by autodist

* Fri Mar 08 2019 Automatic Build System <autodist@mambasoft.it> 19.0.0-1mamba
- automatic version update by autodist

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 18.1.0-2mamba
- rebuilt with xorg-server 1.20.4

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 18.1.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 18.0.1-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 18.0.0-1mamba
- automatic version update by autodist

* Fri Feb 23 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.0-1mamba
- update to 7.10.0

* Fri Feb 23 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.0-1mamba
- update to 7.10.0

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 7.9.0-2mamba
- rebuild with xorg-server 1.19.5

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 7.9.0-1mamba
- automatic version update by autodist

* Thu Dec 08 2016 Automatic Build System <autodist@mambasoft.it> 7.8.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 7.7.1-1mamba
- automatic update by autodist

* Mon May 02 2016 Automatic Build System <autodist@mambasoft.it> 7.7.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 7.6.1-1mamba
- update to 7.6.1

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 7.5.0-2mamba
- rebuilt with xorg-server 1.17.2

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 7.5.0-1mamba
- automatic update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 7.4.0-1mamba
- automatic update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 7.3.0-2mamba
- X.org 1.15 rebuild

* Sun Feb 23 2014 Automatic Build System <autodist@mambasoft.it> 7.3.0-1mamba
- automatic update by autodist

* Sat Aug 10 2013 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic update by autodist

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.0-2mamba
- X.org 1.12 rebuild

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.14.6-1mamba
- update to 6.14.6

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.14.4-1mamba
- automatic update by autodist

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.14.3-2mamba
- automatic update by autodist

* Thu Jan 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.14.3-1mamba
- update to 6.14.3

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 6.14.2-1mamba
- automatic update by autodist

* Thu Mar 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.13.2-3mamba
- rebuilt with xorg-server 1.10

* Sun Feb 06 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.13.2-2mamba
- rebuilt with xorg-server 1.9.4

* Thu Jan 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.13.2-1mamba
- update to 6.13.2

* Sun Aug 15 2010 Automatic Build System <autodist@mambasoft.it> 6.13.1-1mamba
- automatic update by autodist

* Sun Jul 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 6.13.0-2mamba
- added requirement for radeon-firmware

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 6.13.0-1mamba
- automatic update by autodist

* Fri Feb 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 6.12.4-2mamba
- rebuilt for xorg-server 1.7.5

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 6.12.4-1mamba
- automatic update by autodist

* Thu Jul 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 6.12.2-2mamba
- added provide for xorgdrvvideo

* Mon Jun 08 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 6.12.2-1mamba
- update to 6.12.2

* Sat Jun 06 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 6.8.0-1mamba
- Package created
